Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class ErrorQuestion

    java.lang.Object
      com.sun.interview.Question
          com.sun.interview.NullQuestion
              com.sun.interview.ErrorQuestion

    public class ErrorQuestion

extends NullQuestion

A "null" question with no response. In effect, this posts the text, which must simply be acknowledged. ErrorQuestions have no successor.

Field Summary

Fields inherited from class com.sun.interview.NullQuestion
`LEVEL_1, LEVEL_2, LEVEL_3, LEVEL_LEGACY, LEVEL_NONE`

Fields inherited from class com.sun.interview.Question
`interview, key, tag`

Constructor Summary
`ErrorQuestion(Interview interview, java.lang.String tag)` Create a question with a nominated tag.

Method Summary
`Question` | `getNext()` Get the next question to be asked.
`java.lang.String` | `getTextMimeType()`
`boolean` | `isValueAlwaysValid()` A NullQuestion does not have a value, and so this method always returns true.
`boolean` | `isValueValid()` A NullQuestion does not have a value, and so this method always returns true.

Methods inherited from class com.sun.interview.NullQuestion
`clear, getLevel, getStringValue, load, save, setLevel, setValue`

Methods inherited from class com.sun.interview.Question
`addMarker, equals, export, getChecklistItems, getHelpID, getImage, getInterview, getKey, getResourceString, getResourceString, getSummary, getTag, getText, getTextArgs, hashCode, hasMarker, isEnabled, isHidden, reload, removeMarker, setHelpID, setImage, setImage, setSummary, setText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorQuestion

    public ErrorQuestion(Interview interview,
                         java.lang.String tag)

  Create a question with a nominated tag.

  Parameters:
    `interview` - The interview containing this question.
    `tag` - A unique tag to identify this specific question.

Method Detail

### getNext

    public final Question getNext()

  Description copied from class: `Question`
  Get the next question to be asked.

  Specified by:
    `getNext` in class `Question`
  Returns:
    the next question to be asked

### isValueValid

    public boolean isValueValid()

  Description copied from class: `NullQuestion`
  A NullQuestion does not have a value, and so this method always returns true.

  Overrides:
    `isValueValid` in class `NullQuestion`
  Returns:
    true

### isValueAlwaysValid

    public boolean isValueAlwaysValid()

  Description copied from class: `NullQuestion`
  A NullQuestion does not have a value, and so this method always returns true.

  Overrides:
    `isValueAlwaysValid` in class `NullQuestion`
  Returns:
    true

### getTextMimeType

    public java.lang.String getTextMimeType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.